/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef MessageBox_included
#define MessageBox_included

#include <qdialog.h>
#include <qstring.h>


#include "MessageBoxData.h"

class MessageBox : public QDialog,
			private MessageBoxData
{
    Q_OBJECT

public:

static int showMessage(char *msg, QString newObj, QString oldObj);

    MessageBox
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~MessageBox();

    bool eShow(); 
    int returnValue();

public slots:
    void skip();
    void skipAll();
    void replace();
    void replaceAll();
    void abort();

private:
    int returnValue_;
};
#endif // MessageBox_included

