#include <qapp.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qobject.h>
#include "MBMessageBox.h"
#include "BoxTest.h"


MyWidget::MyWidget (QWidget *parent, const char *name)
    : QWidget (parent, name)
{
    label = new QLabel (this);
    btn = new QPushButton ("Interesting question", this);

    resize (350, 200);
    label->setGeometry (25, 25, 200, 50);
    label->setAlignment (AlignCenter);
    label->setText ("This is a test!");
    btn->adjustSize ();
    btn->move (25, 70);
    connect (btn, SIGNAL (clicked()), this, SLOT (btnC ()));
}

void MyWidget::btnC ()
{
    label->setNum (MBMessageBox::query ("Exit?", 
					"Really exit application?, by the way"
					", have you really fed the giraffe?", 
					5,"Eh?", "Yes", "No", 
					"Cancel", "What?"));
}    

int main (int argc, char **argv)
{
    QApplication a (argc, argv);
    MyWidget w;

    a.setMainWidget (&w);
    w.show ();
    
    return a.exec ();
}
