/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef Record_included
#define Record_included

#include <qdialog.h>

#include "RecordData.h"
#include "Shortcut.h"

class Record : public QDialog,
			private RecordData
{
    Q_OBJECT

public:

    Record
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~Record();

    QString eShow ();

private:
    Shortcut *s;
    QString res;
    int keys[MAXKEYS];
    int n;

private slots:
    void stop ();

};
#endif // Record_included
