#ifndef Search_included
#define Search_included

#include <qdialog.h>

#include "SearchData.h"
#include "barracuda.h"

class Search : public QDialog,
			private SearchData
{
    Q_OBJECT

public:

    Search
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~Search();

    bool eShow (Reference *searchRef, bool *refs);

private:
    Reference *fields;
    bool *refs;
    QLineEdit *editFields[LAST_FIELD - FIRST_FIELD + 2];
    QCheckBox *refChecks[LAST_REFERENCE - FIRST_REFERENCE + 1];
public slots:
   void search ();
   void reset ();
   void clear ();
   void cancel ();
};
#endif // Search_included
