/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef SimpleSearch_included
#define SimpleSearch_included

#include <qdialog.h>
#include <qstring.h>
#include <keywords.h>
#include <stdlib.h>
#include <barracuda.h>
#include <db.h>

#include "SimpleSearchData.h"



class SimpleSearch : public QDialog,
			private SimpleSearchData
{
    Q_OBJECT

public:

    SimpleSearch
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~SimpleSearch();
    bool getName(searchDir *dir, QString *oldString);

public slots:
    void ok();
    void cancel();
    void forward();
    void backward();
private:
    searchDir *mydir;
    QString *mystr;
};
#endif // SimpleSearch_included





