/*
 * Main module.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#include <qapp.h>
#include "Interface.h"
#include "Startup.h"

int replacePolicy = 0;
Interface *theInterface;
extern Options *theOptions;

int main(int argc, char **argv)
{
    QApplication a(argc, argv);
    QFont f("Times", 12, QFont::Normal);

    Interface i;
    Startup s;
    i.resize (800, 400);

    a.setMainWidget (&i);
    theInterface = &i;
    i.show ();
    if (a.argc() > 1)
	i.readDatabase (a.argv()[1], TRUE);
    if (!theOptions->getPreference (NO_SILLY_STARTUP))
	s.eShow ();

    return a.exec();
}
