/*
 * Keyword file.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#include <keywords.h>

char *keywords[] = {
  [ARTICLE] = "article",
  [INPROCEEDINGS] = "inproceedings",
  [INCOLLECTION] = "incollection",
  [INBOOK] = "inbook",
  [PROCEEDINGS] = "proceedings",
  [BOOK] = "book",
  [BOOKLET] = "booklet",
  [PHDTHESIS] = "phdthesis",
  [MASTERSTHESIS] = "mastersthesis",
  [TECHREPORT] = "techreport",
  [MANUAL] = "manual",
  [UNPUBLISHED] = "unpublished",
  [MISC] = "misc",
  [AUTHOR] = "author",
  [TITLE] = "title",
  [JOURNAL] = "journal",
  [YEAR] = "year",
  [KEY] = "key",
  [VOLUME] = "volume",
  [NUMBER] = "number",
  [MONTH] = "month",
  [PAGES] = "pages",
  [NOTE] = "note",
  [ANNOTE] = "annote",
  [BOOKTITLE] = "booktitle",
  [CROSSREF] = "crossref",
  [EDITOR] = "editor",
  [SERIES] = "series",
  [ORGANIZATION] = "organization",
  [PUBLISHER] = "publisher",
  [ADDRESS] = "address",
  [CHAPTER] = "chapter",
  [TYPE] = "type",
  [EDITION] = "edition",
  [HOWPUBLISHED] = "howpublished",
  [SCHOOL] = "school",
  [INSTITUTION] = "institution",
  [ID] = "id",
  [END] = (char*) 0};

char *optionLabels[] = {
  [EXPAND_MACRO] = "expand-macros",
  [LAZY_COLUMN] = "lazy-column-update",
  [VERBOSE_PARSE] = "verbose-parser-output",
  [NO_SILLY_WARN] = "inhibit-silly-warnings",
  [NO_SILLY_STARTUP] = "inhibit-silly-startup-message",
  [CASE_SEARCH] = "case-sensitive-search",
  [DEL_STYLE] = "delimiter-style",
  [SAVE_UNUSED_MACROS] = "save-unused-macros",
  [CONVERT_TEX] = "convert-tex-to-ascii",
  [LAST_PREF+1] = (char*) 0};

char *commands[] = {
  [NEW_MENU_ID] = "menu-file-new",
  [OPEN_MENU_ID] = "menu-file-open",
  [OPEN_DB_MENU_ID] = "menu-file-open-database",
  [OPEN_MACRO_MENU_ID] = "menu-file-open-macros",
  [SAVE_MENU_ID] = "menu-file-save",
  [SAVE_AS_MENU_ID] = "menu-file-save-as",
  [SAVE_MACROS_MENU_ID] = "menu-file-save-macros",
  [PRINT_MENU_ID] = "menu-file-print",
  [EXIT_MENU_ID] = "menu-file-exit",
  [INSERT_RECORD_MENU_ID] = "menu-edit-insert-record",
  [DELETE_RECORD_MENU_ID] = "menu-edit-delete-record",
  [EDIT_RECORD_MENU_ID] = "menu-edit-edit-record",
  [EDIT_MACRO_MENU_ID] = "menu-edit-edit-macro",
  [PREFERENCES_MENU_ID] = "menu-option-preferences",
  [KEYBINDINGS_MENU_ID] = "menu-option-keybindings",
  [VIEW_TYPES_MENU_ID] = "menu-option-view-types",
  [SAVE_OPTIONS_MENU_ID] = "menu-option-save-options",
  [SEARCH_MENU_ID] = "menu-tools-search",
  [SIMPLE_SEARCH_MENU_ID] = "menu-tools-simple-search",
  [SORT_MENU_ID] = "menu-tools-sort",
  [SPAWN_BROWSER_MENU_ID] = "menu-help-online-help",
  [ABOUT_MENU_ID] = "menu-help-about",
  [ARTICLE_MENU_ID] = "menu-edit-insert-article",
  [INPROCEEDINGS_MENU_ID] = "menu-edit-insert-inproceedings",
  [INCOLLECTION_MENU_ID] = "menu-edit-insert-incollection",
  [INBOOK_MENU_ID] = "menu-edit-insert-inbook",
  [BOOK_MENU_ID] = "menu-edit-insert-book",
  [BOOKLET_MENU_ID] = "menu-edit-insert-booklet",
  [PHDTHESIS_MENU_ID] = "menu-edit-insert-phdthesis",
  [MASTERSTHESIS_MENU_ID] = "menu-edit-insert-mastersthesis",
  [TECHREPORT_MENU_ID] = "menu-edit-insert-techreport",
  [MANUAL_MENU_ID] = "menu-edit-insert-manual",
  [UNPUBLISHED_MENU_ID] = "menu-edit-insert-unpublished",
  [MISC_MENU_ID] = "menu-edit-insert-misc",
  [PROCEEDINGS_MENU_ID] = "menu-edit-insert-proceedings",
  [REWIND_BTN_ID] = "button-top-list",
  [BACK_BTN_ID] = "button-back",
  [FORWARD_BTN_ID] = "button-forward",
  [FAST_FORWARD_BTN_ID] = "button-bottom-list",
  [SEARCH_BACK_BTN_ID] = "button-search-back",
  [SEARCH_FORWARD_BTN_ID] = "button-search-forward",
  [SHOW_SEARCH_BTN_ID] = "button-show-search",
  [SHOW_NORMAL_BTN_ID] = "button-show-normal",
  [LAST_COMMAND+1] = (char*) 0};
